更新 windowsFeatureUpdateProfile

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 windowsFeatureUpdateProfile 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

PATCH /deviceManagement/windowsFeatureUpdateProfiles/{windowsFeatureUpdateProfileId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 windowsFeatureUpdateProfile 对象的 JSON 表示形式。

下表显示创建 windowsFeatureUpdateProfile时所需的属性。

属性 类型 说明
id String 实体的标识符。
displayName String 配置文件显示名称。
说明 String 由用户指定的配置文件的说明。
featureUpdateVersion String 将部署到此配置文件所面向的设备的功能更新版本。 版本可以是任何受支持的版本,例如 1709、1803 或 1809 等。
rolloutSettings windowsUpdateRolloutSettings Windows 更新推出设置,包括优惠开始日期时间、优惠结束日期时间和每组产品/服务之间的天数。
createdDateTime DateTimeOffset 创建配置文件的日期时间。
lastModifiedDateTime DateTimeOffset 上次修改配置文件的日期时间。
roleScopeTagIds 字符串集合 此功能更新实体的范围标记列表。
deployableContentDisplayName String 质量显示名称配置文件可部署内容的友好解决方案
endOfSupportDate DateTimeOffset 功能更新的上次支持日期

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK windowsFeatureUpdateProfile 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceManagement/windowsFeatureUpdateProfiles/{windowsFeatureUpdateProfileId}
Content-type: application/json
Content-length: 669

{
  "@odata.type": "#microsoft.graph.windowsFeatureUpdateProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "featureUpdateVersion": "Feature Update Version value",
  "rolloutSettings": {
    "@odata.type": "microsoft.graph.windowsUpdateRolloutSettings",
    "offerStartDateTimeInUTC": "2017-01-01T00:01:16.3697768-08:00",
    "offerEndDateTimeInUTC": "2016-12-31T23:58:15.1925199-08:00",
    "offerIntervalInDays": 3
  },
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "deployableContentDisplayName": "Deployable Content Display Name value",
  "endOfSupportDate": "2017-01-01T00:02:08.3437725-08:00"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 841

{
  "@odata.type": "#microsoft.graph.windowsFeatureUpdateProfile",
  "id": "885bd4ee-d4ee-885b-eed4-5b88eed45b88",
  "displayName": "Display Name value",
  "description": "Description value",
  "featureUpdateVersion": "Feature Update Version value",
  "rolloutSettings": {
    "@odata.type": "microsoft.graph.windowsUpdateRolloutSettings",
    "offerStartDateTimeInUTC": "2017-01-01T00:01:16.3697768-08:00",
    "offerEndDateTimeInUTC": "2016-12-31T23:58:15.1925199-08:00",
    "offerIntervalInDays": 3
  },
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "deployableContentDisplayName": "Deployable Content Display Name value",
  "endOfSupportDate": "2017-01-01T00:02:08.3437725-08:00"
}